Update a Customer
PUT
/customers/{id}
Updating a complete customer
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Responses
Section titled “Responses”Created
Media typeapplication/json
object
UserIdentifier
string
UserName
string
FirstName
string
LastName
string
Msisdn
long
IsActive
boolean
PersonalIdentityNumber
string
Email
string
PaymentMethod
string
InvoiceDeliveryType
string
StreetAddress
string
PostalCode
string
City
string
Examples
Exampleresponse
{ "UserIdentifier": "46761234232", "UserName": "Yogi", "FirstName": "Yogi", "LastName": "Bear", "Msisdn": "46761234232", "IsActive": true, "PersonalIdentityNumber": "5207199398", "Email": "yogi.bear@home.com", "PaymentMethod": "Card", "InvoiceDeliveryType": "Electronic", "StreetAddress": "Pinestreet 7", "PostalCode": "761 63", "City": "Woodford"}